# Configuration

data class Configuration < T : Any >(val declaringClass: Class < T >, val memberInstance: T ? = null, var processorResolver: MemberProcessor.Resolver ? = null, var superclass: Boolean = false, var optional: MemberCondition.Configuration.Optional = Optional.NO)

Configure initial conditions.

#### Parameters

declaringClass

the class that declares the member.

memberInstance

the instance of the resolved member, default is null.

processorResolver

the resolver for processing members, if set, it will be used to resolve members instead of the default resolver. If you want to change the global processor resolver, you can set it using MemberProcessor.globalResolver.

superclass

the superclass mode, which means that when the condition cannot find the corresponding member, it will search the declaringClass's superclass, default is false.

optional

the optional mode, which means that when the condition cannot find the corresponding member, do not throw an exception or do not print any logs, but return an empty list, default is Optional.NO.

## Constructors

Configuration
Link copied to clipboard
constructor(declaringClass: Class < T >, memberInstance: T ? = null, processorResolver: MemberProcessor.Resolver ? = null, superclass: Boolean = false, optional: MemberCondition.Configuration.Optional = Optional.NO)

## Types

Companion
Link copied to clipboard
object Companion
Optional
Link copied to clipboard
enum Optional : Enum < MemberCondition.Configuration.Optional >

Optional mode for handling member resolution.

## Properties

declaringClass
Link copied to clipboard
val declaringClass : Class < T >
memberInstance
Link copied to clipboard
val memberInstance : T ? = null
optional
Link copied to clipboard
var optional : MemberCondition.Configuration.Optional
processorResolver
Link copied to clipboard
var processorResolver : MemberProcessor.Resolver ?
superclass
Link copied to clipboard
var superclass : Boolean